> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/in-app-feature-requests/setting-email-requirement.md).

# Setting Email Requirement

When a user creates a new feature request or adds a comment, they are asked to enter their email. You can use this method to set whether this email is required or not. This method takes a boolean for its first argument (whether the requirement is true or false) and enums for the second argument (for comment or new feature). More than one enum can be passed.

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
FeatureRequests.setEmailFieldRequired(true, for: [.requestNewFeature, .addCommentToFeature])
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQFeatureRequests setEmailFieldRequired:YES forAction: LCQActionRequestNewFeature | LCQActionAddCommentToFeature]
```

{% endtab %}

{% tab title="And - Java" %}

```java
FeatureRequests.setEmailFieldRequired(boolean, ActionType.REQUEST_NEW_FEATURE);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
FeatureRequests.setEmailFieldRequired(boolean, ActionType.REQUEST_NEW_FEATURE)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Import Luciq, { ActionType } from '@luciq/react-native';

//The first field determines whether the email field is required or not
//The second field is for whether this is for adding comments, for requesting new features, or both
FeatureRequests.setEmailFieldRequired(true, [ActionType.requestNewFeature]);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
FeatureRequests.setEmailFieldRequired(false, [ActionType.requestNewFeature]);
```

{% endtab %}
{% endtabs %}

**Email Parameters:**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//New Feature
.requestNewFeature
//New Comment
.addCommentToFeature
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//New Feature
LCQActionRequestNewFeature
//New Comment
LCQActionAddCommentToFeature
```

{% endtab %}

{% tab title="And - Java" %}

```java
//New Feature
ActionType.REQUEST_NEW_FEATURE 
//New Comment
ActionType.ADD_COMMENT_TO_FEATURE
```

{% endtab %}

{% tab title="RN" %}

```csharp
//New Feature
ActionType.requestNewFeature
//New Comment
ActionType.addCommentToFeature
```

{% endtab %}

{% tab title="Flutter" %}

```dart
//New Feature
ActionType.requestNewFeature
//New Comment
ActionType.addCommentToFeature
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/in-app-feature-requests/setting-email-requirement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
